Index: tests/regression/Domain/BoundInBox/post/test-only_first.conf
===================================================================
--- tests/regression/Domain/BoundInBox/post/test-only_first.conf	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
+++ tests/regression/Domain/BoundInBox/post/test-only_first.conf	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+5	
+0	5	
+0	0	5	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	0.000000000	0.000000000	0.000000000	0 # molecule nr 0
+Ion_Type1_2	11.00000000	10.00000000	12.00000000	0 # molecule nr 1
Index: tests/regression/Domain/BoundInBox/post/test-only_second.conf
===================================================================
--- tests/regression/Domain/BoundInBox/post/test-only_second.conf	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
+++ tests/regression/Domain/BoundInBox/post/test-only_second.conf	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+5	
+0	5	
+0	0	5	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
+Ion_Type1_2	1.000000000	0.000000000	2.000000000	0 # molecule nr 1
Index: tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box-allmolecules.at
===================================================================
--- tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box-allmolecules.at	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
+++ tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box-allmolecules.at	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### bound atoms in defined domain
+
+AT_SETUP([Domain - bounding in domain all molecules])
+AT_KEYWORDS([domain bound-in-box])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-all-molecules --bound-in-box], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - bounding in domain all molecules with Undo])
+AT_KEYWORDS([domain bound-in-box undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-all-molecules --bound-in-box --undo], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - bounding in domain all molecules with Redo])
+AT_KEYWORDS([domain bound-in-box redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-all-molecules --bound-in-box --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box-somemolecules.at
===================================================================
--- tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box-somemolecules.at	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
+++ tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box-somemolecules.at	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### bound atoms in defined domain
+
+AT_SETUP([Domain - bounding in domain some molecules])
+AT_KEYWORDS([domain bound-in-box])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --update-molecules --select-molecule-by-id 1 --bound-in-box], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test-only_second.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - bounding in domain some molecules with Undo])
+AT_KEYWORDS([domain bound-in-box undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --update-molecules --select-molecule-by-id 1 --bound-in-box --undo], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - bounding in domain some molecules with Redo])
+AT_KEYWORDS([domain bound-in-box redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --update-molecules --select-molecule-by-id 1 --bound-in-box --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test-only_second.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box.at
===================================================================
--- tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box.at	(revision 835b534f9c100ac279ff0fbe104d05901bbc813f)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2008-2012 University of Bonn
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### bound atoms in defined domain
-
-AT_SETUP([Domain - bounding in domain])
-AT_KEYWORDS([domain bound-in-box])
-
-file=test.conf
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file --bound-in-box], 0, [stdout], [stderr])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test.conf], 0, [stdout], [stderr])
-
-AT_CLEANUP
-
-
-AT_SETUP([Domain - bounding in domain with Undo])
-AT_KEYWORDS([domain bound-in-box undo])
-
-file=test.conf
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file --bound-in-box --undo], 0, [stdout], [stderr])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test-undo.conf], 0, [stdout], [stderr])
-
-AT_CLEANUP
-
-
-AT_SETUP([Domain - bounding in domain with Redo])
-AT_KEYWORDS([domain bound-in-box redo])
-
-file=test.conf
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file --bound-in-box --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test.conf], 0, [stdout], [stderr])
-
-AT_CLEANUP
Index: tests/regression/Domain/CenterInBox/post/test-only_first.conf
===================================================================
--- tests/regression/Domain/CenterInBox/post/test-only_first.conf	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
+++ tests/regression/Domain/CenterInBox/post/test-only_first.conf	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+15	
+0	15	
+0	0	15	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	7.500000000	7.500000000	7.500000000	0 # molecule nr 0
+Ion_Type1_2	11.00000000	10.00000000	12.00000000	0 # molecule nr 1
Index: tests/regression/Domain/CenterInBox/post/test-only_second.conf
===================================================================
--- tests/regression/Domain/CenterInBox/post/test-only_second.conf	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
+++ tests/regression/Domain/CenterInBox/post/test-only_second.conf	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+15	
+0	15	
+0	0	15	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
+Ion_Type1_2	7.500000000	7.500000000	7.500000000	0 # molecule nr 1
Index: tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box-allmolecules.at
===================================================================
--- tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box-allmolecules.at	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
+++ tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box-allmolecules.at	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -0,0 +1,56 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### center atoms in defined domain
+
+AT_SETUP([Domain - setting and centering in domain all molecules])
+AT_KEYWORDS([domain center-in-box])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-all-molecules -b "15, 0, 15, 0, 0, 15"], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - setting and centering in domain all molecules with Undo])
+AT_KEYWORDS([domain center-in-box undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-all-molecules -b "15, 0, 15, 0, 0, 15" --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - setting and centering in domain all molecules with Redo])
+AT_KEYWORDS([domain center-in-box redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-all-molecules -b "15, 0, 15, 0, 0, 15" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box-somemolecules.at
===================================================================
--- tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box-somemolecules.at	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
+++ tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box-somemolecules.at	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -0,0 +1,56 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### center atoms in defined domain
+
+AT_SETUP([Domain - setting and centering in domain some molecules])
+AT_KEYWORDS([domain center-in-box update-molecules])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --update-molecules --select-molecule-by-id 1 -b "15, 0, 15, 0, 0, 15"], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test-only_second.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - setting and centering in domain some molecules with Undo])
+AT_KEYWORDS([domain center-in-box update-molecules undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --update-molecules --select-molecule-by-id 1 -b "15, 0, 15, 0, 0, 15" --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - setting and centering in domain some molecules with Redo])
+AT_KEYWORDS([domain center-in-box update-molecules redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --update-molecules --select-molecule-by-id 1 -b "15, 0, 15, 0, 0, 15" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test-only_second.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box.at
===================================================================
--- tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box.at	(revision 835b534f9c100ac279ff0fbe104d05901bbc813f)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2008-2012 University of Bonn
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### center atoms in defined domain
-
-AT_SETUP([Domain - setting and centering in domain])
-AT_KEYWORDS([domain center-in-box])
-
-file=test.conf
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file  -b "15, 0, 15, 0, 0, 15"], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test.conf], 0, [stdout], [stderr])
-
-AT_CLEANUP
-
-
-AT_SETUP([Domain - setting and centering in domain with Undo])
-AT_KEYWORDS([domain center-in-box undo])
-
-file=test.conf
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file  -b "15, 0, 15, 0, 0, 15" --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test-undo.conf], 0, [stdout], [stderr])
-
-AT_CLEANUP
-
-
-AT_SETUP([Domain - setting and centering in domain with Redo])
-AT_KEYWORDS([domain center-in-box redo])
-
-file=test.conf
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/pre/test.conf $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file  -b "15, 0, 15, 0, 0, 15" --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test.conf], 0, [stdout], [stderr])
-
-AT_CLEANUP
Index: tests/regression/Domain/testsuite-domain.at
===================================================================
--- tests/regression/Domain/testsuite-domain.at	(revision 835b534f9c100ac279ff0fbe104d05901bbc813f)
+++ tests/regression/Domain/testsuite-domain.at	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -22,8 +22,10 @@
 
 # bound atoms in defined domain
-m4_include([Domain/BoundInBox/testsuite-domain-bound-in-box.at])
+m4_include([Domain/BoundInBox/testsuite-domain-bound-in-box-allmolecules.at])
+m4_include([Domain/BoundInBox/testsuite-domain-bound-in-box-somemolecules.at])
 
 # center atoms in defined domain
-m4_include([Domain/CenterInBox/testsuite-domain-center-in-box.at])
+m4_include([Domain/CenterInBox/testsuite-domain-center-in-box-allmolecules.at])
+m4_include([Domain/CenterInBox/testsuite-domain-center-in-box-somemolecules.at])
 
 # center atoms with defined boundary
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 835b534f9c100ac279ff0fbe104d05901bbc813f)
+++ tests/regression/Makefile.am	(revision 25d9d9cad7d584d6c70d8517183b111ea482dfe2)
@@ -63,6 +63,8 @@
 	$(srcdir)/Domain/testsuite-domain.at \
 	$(srcdir)/Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at \
-	$(srcdir)/Domain/BoundInBox/testsuite-domain-bound-in-box.at \
-	$(srcdir)/Domain/CenterInBox/testsuite-domain-center-in-box.at \
+	$(srcdir)/Domain/BoundInBox/testsuite-domain-bound-in-box-allmolecules.at \
+	$(srcdir)/Domain/BoundInBox/testsuite-domain-bound-in-box-somemolecules.at \
+	$(srcdir)/Domain/CenterInBox/testsuite-domain-center-in-box-allmolecules.at \
+	$(srcdir)/Domain/CenterInBox/testsuite-domain-center-in-box-somemolecules.at \
 	$(srcdir)/Domain/CenterOnEdge/testsuite-domain-center-on-edge.at \
 	$(srcdir)/Domain/ChangeBox/testsuite-domain-change-box.at \
